/*
 * Futuremark tracking code
 * 12-4-2011 copyright Kwantic Oy
 */

try {
	var jqueryIsLoaded = jQuery;
	jQueryIsLoaded = true;
} catch(err) {
	var jQueryIsLoaded = false;
}

if (jQueryIsLoaded) {

	var livetracks= {};

	livetracks.liveTracker = function(trackedPattern, label ) {
		$('a').live('click',function(i) {
			if (! this.href.match(trackedPattern) ) return;
			var action = $(this).attr('href');
			try {
				livetracks.trackEvent([label, action]);
			}
			catch(e) {}
		})
	}
	 
	livetracks.trackExitDomainLinks = function(){
		$('a').live('click',function(i) {
			if (this.href.match(window.location.hostname) || this.href.match(/^mailto\:/) || this.protocol.match(/^javascript\:/)) return;
			var action = $(this).attr('href');
			try {
				livetracks.trackEvent(['Exit links', action]);
			}
			catch(e) {}
		})
	}
	
	livetracks.trackEvent = function(args) {
		_gaq.push(['_trackEvent'].concat(args));
		_gaq.push(['t2._trackEvent'].concat(args));	
	}
	
	$(function(){
	 
		livetracks.trackExitDomainLinks();
		livetracks.liveTracker(/\.pdf|\.zip|\.rar|\.gz|\.bz2|\.exe|\.tar|\.7z|\.dxf|\.dwg|\.wmv/, 'File downloads');
		livetracks.liveTracker(/mailto\:/, 'Email');
	 
	})

} else {
	// jQuery not loaded. Do nothing.
}